#!%PERL% -w


use strict;

use Data::Dumper;
use lib '%VHFFS_LIB_DIR%';
use Vhffs::Conf;
use Vhffs::User;
use Vhffs::Group;
use Vhffs::Main;
use Vhffs::Object;
use Vhffs::Services::Web;

my $princ = init Vhffs::Main;

die("Usage: $0 servername description owner_username owner_groupname\n") unless(@ARGV == 4);

my($servername, $description, $username, $groupname) = @ARGV;

my $user = Vhffs::User::get_by_username($princ, $username);
die("User not found\n") unless(defined $user);
my $group = Vhffs::Group::get_by_groupname($princ, $groupname);
die("Group not found\n") unless(defined $group);

my $httpd = Vhffs::Services::Web::create($princ, $servername, $description, $user, $group);

if( defined $httpd )
{
	print "Webarea $servername created\n";
}
else
{
	die "Unable to create webarea $servername\n";
}
